from cmk.gui.i18n import _

from cmk.gui.valuespec import (
    Dictionary,
    Integer,
    TextAscii,
)

from cmk.gui.plugins.wato import (
    CheckParameterRulespecWithItem,
    rulespec_registry,
    RulespecGroupCheckParametersOperatingSystem,
)

def _item_valuespec_rudder_agent():
    return TextAscii(title=_("Rudder agent"))

def _parameter_valuespec_rudder_agent():
    return Dictionary(elements=[
         ("agent_lastrun",
           Tuple(
             title=_("Time since the last run of the agent"),
             help=_("This is the time elapsed since the last run of the"
                    " agent."),
             elements=[
                 Age(title=_("Warning at"), default_value=450),
                 Age(title=_("Critical at"), default_value=600),
             ],
         )),
        ],
    )

rulespec_registry.register(
    CheckParameterRulespecWithItem(
        check_group_name="rudder_agent",
        group=RulespecGroupCheckParametersOperatingSystem,
        match_type="dict",
        item_spec=_item_valuespec_rudder_agent,
        parameter_valuespec=_parameter_valuespec_rudder_agent,
        title=lambda: _("Time since last run of the Rudder agent"),
    ))
